## com.vividsolutions.jts.index.intervalrtree
Class IntervalRTreeLeafNode

    java.lang.Object
      com.vividsolutions.jts.index.intervalrtree.IntervalRTreeNode
          com.vividsolutions.jts.index.intervalrtree.IntervalRTreeLeafNode

public class IntervalRTreeLeafNode
extends IntervalRTreeNode

Nested Class Summary

Nested classes inherited from class com.vividsolutions.jts.index.intervalrtree.IntervalRTreeNode
`IntervalRTreeNode.NodeComparator`

Field Summary

Fields inherited from class com.vividsolutions.jts.index.intervalrtree.IntervalRTreeNode
`max, min`

Constructor Summary
`IntervalRTreeLeafNode(double min, double max, java.lang.Object item)`

Method Summary
`void` `query(double queryMin, double queryMax, ItemVisitor visitor)`

Methods inherited from class com.vividsolutions.jts.index.intervalrtree.IntervalRTreeNode
`getMax, getMin, intersects, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntervalRTreeLeafNode

    public IntervalRTreeLeafNode(double min,
                                 double max,
                                 java.lang.Object item)

Method Detail

### query

    public void query(double queryMin,
                      double queryMax,
                      ItemVisitor visitor)

  Specified by:
    `query` in class `IntervalRTreeNode`